Bug 806771 - status of virtual disks should be display when cloning VM
status of virtual disks should be display when cloning VM
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Erez
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 04:08 EDT by Avihai Shoham
Modified: 2012-12-17 02:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested fix (198.11 KB, application/x-gzip)
2012-03-26 04:08 EDT, Avihai Shoham
no flags Details

  None (edit)
Description Avihai Shoham 2012-03-26 04:08:52 EDT
Created attachment 572691 [details]
suggested fix

Snapshot's status doesn't give the correct status of all its components.
in case virtual disks's status is "illegal" ,  snapshot's status still OK.

after discuss with Yzaslavs & Mkolesni , the best way is to display virtual disks's status in "Clone VM from Snapshot" window .

This is to make sure the user will aware that the cloning VM will have bad disk

see attached
Comment 1 Daniel Erez 2012-04-17 02:39:53 EDT
git commit 9d7e0b300f58a4302d3196aafc113eaf54744443 

Added a warning to 'Clone VM from snapshot' dialog:
"The VM contains disks in illegal status"
Comment 2 Avihai Shoham 2012-05-22 08:12:12 EDT
verified on last dev hash commit 72d1d5c1902a5c005d9b6bd2227dea95260286d1



steps
1)adding disk
2)create snapshot
3)remove disl from step 1
4)clone vm from snapshot in step2
you will see :"The VM contains disks in illegal status"

Note You need to log in before you can comment on or make changes to this bug.